Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.bea.control
Annotation Type TaskBatchAnnotations.TaskSelect

Deprecated. Use TaskQueryAnno instead

    @Deprecated
    @Target(value={TYPE,METHOD})
    @Retention(value=RUNTIME)
    public static @interface TaskBatchAnnotations.TaskSelect

Optional Element Summary
`String` | `assignedGroups` Deprecated. The assigned groups
`String` | `assignedUsers` Deprecated. The assigned users (assigned directly or through a group)
`String` | `claimants` Deprecated. The current claimant for the tasks to select
`String` | `claimDueDateAfter` Deprecated.
`String` | `claimDueDateBefore` Deprecated.
`String` | `comment` Deprecated. The comment of the tasks to select.
`String` | `completionDueDateAfter` Deprecated. Select tasks for which the completed due date is after this date
`String` | `completionDueDateBefore` Deprecated. Select tasks for which the completed due date is before this date.
`String` | `creationDateAfter` Deprecated. Select tasks that were created after this date
`String` | `creationDateBefore` Deprecated. Select tasks that were created before this date
`String` | `maxPriority` Deprecated. The maximum priority of tasks to select.
`String` | `maxTasksReturned` Deprecated. The maximum number of tasks to return in this batch.
`String` | `minPriority` Deprecated. The minimum priority of tasks to select.
`String` | `owners` Deprecated. The owners for the tasks to select
`TaskBaseAnnotations.PropertyValue` | `propertyValue` Deprecated. Select tasks that have the given property set to the value.
`String` | `selectorParamName` Deprecated. Used to pass a Java TaskSelector instance.
`String` | `states` Deprecated. The 81x states of the tasks to select.
`String` | `taskIds` Deprecated. The ids of the tasks to select.
`String` | `taskName` Deprecated. The name of the task to select

### assignedUsers

    public abstract String assignedUsers

  Deprecated.
  The assigned users (assigned directly or through a group)

  Default:
    ""

### assignedGroups

    public abstract String assignedGroups

  Deprecated.
  The assigned groups

  Default:
    ""

### claimants

    public abstract String claimants

  Deprecated.
  The current claimant for the tasks to select

  Default:
    ""

### taskIds

    public abstract String taskIds

  Deprecated.
  The ids of the tasks to select.

  Default:
    ""

### taskName

    public abstract String taskName

  Deprecated.
  The name of the task to select

  Default:
    ""

### comment

    public abstract String comment

  Deprecated.
  The comment of the tasks to select.

  Default:
    ""

### owners

    public abstract String owners

  Deprecated.
  The owners for the tasks to select

  Default:
    ""

### minPriority

    public abstract String minPriority

  Deprecated.
  The minimum priority of tasks to select.

  Default:
    "0"

### maxPriority

    public abstract String maxPriority

  Deprecated.
  The maximum priority of tasks to select.

  Default:
    "1000"

### states

    public abstract String states

  Deprecated.
  The 81x states of the tasks to select. Must be an array of string names from the StateType constants or a parameter marker.

  Default:
    ""

### completionDueDateBefore

    public abstract String completionDueDateBefore

  Deprecated.
  Select tasks for which the completed due date is before this date.

  Default:
    ""

### completionDueDateAfter

    public abstract String completionDueDateAfter

  Deprecated.
  Select tasks for which the completed due date is after this date

  Default:
    ""

### claimDueDateBefore

    @Deprecated
    public abstract String claimDueDateBefore

  Deprecated.

  Select tasks for which the claim due date is before this date.

  Default:
    ""

### claimDueDateAfter

    @Deprecated
    public abstract String claimDueDateAfter

  Deprecated.

  Select tasks for which the claim due date is after this date

  Default:
    ""

### creationDateBefore

    public abstract String creationDateBefore

  Deprecated.
  Select tasks that were created before this date

  Default:
    ""

### creationDateAfter

    public abstract String creationDateAfter

  Deprecated.
  Select tasks that were created after this date

  Default:
    ""

### propertyValue

    public abstract TaskBaseAnnotations.PropertyValue propertyValue

  Deprecated.
  Select tasks that have the given property set to the value.

  Default:
    @com.bea.control.TaskBaseAnnotations.PropertyValue(name="")

### selectorParamName

    public abstract String selectorParamName

  Deprecated.
  Used to pass a Java TaskSelector instance. This attribute must be specified as the name of a method argument that is of type TaskSelector. If present, this attribute supercedes any other attributes on the TaskSelect annotation (they will be ignored).

  Default:
    ""

### maxTasksReturned

    public abstract String maxTasksReturned

  Deprecated.
  The maximum number of tasks to return in this batch.

  Default:
    "100"

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT